> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rapidagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /agents/{agentId}

> Delete an agent.

### Params

<ParamField path="agentId" required="true" type="string">
  The ID of the agent.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="data" type="object">
  A single agent object.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request DELETE 'https://api.rapidagent.ai/api/v1/agents/{agentId}' \
  --header 'Content-Type: application/json' \
  --header 'Autorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": null
  }
  ```
</ResponseExample>
